import { createAggregatedClient } from "@smithy/smithy-client";
import { AppSyncClient } from "./AppSyncClient";
import { AssociateApiCommand, } from "./commands/AssociateApiCommand";
import { AssociateMergedGraphqlApiCommand, } from "./commands/AssociateMergedGraphqlApiCommand";
import { AssociateSourceGraphqlApiCommand, } from "./commands/AssociateSourceGraphqlApiCommand";
import { CreateApiCacheCommand, } from "./commands/CreateApiCacheCommand";
import { CreateApiCommand } from "./commands/CreateApiCommand";
import { CreateApiKeyCommand, } from "./commands/CreateApiKeyCommand";
import { CreateChannelNamespaceCommand, } from "./commands/CreateChannelNamespaceCommand";
import { CreateDataSourceCommand, } from "./commands/CreateDataSourceCommand";
import { CreateDomainNameCommand, } from "./commands/CreateDomainNameCommand";
import { CreateFunctionCommand, } from "./commands/CreateFunctionCommand";
import { CreateGraphqlApiCommand, } from "./commands/CreateGraphqlApiCommand";
import { CreateResolverCommand, } from "./commands/CreateResolverCommand";
import { CreateTypeCommand } from "./commands/CreateTypeCommand";
import { DeleteApiCacheCommand, } from "./commands/DeleteApiCacheCommand";
import { DeleteApiCommand } from "./commands/DeleteApiCommand";
import { DeleteApiKeyCommand, } from "./commands/DeleteApiKeyCommand";
import { DeleteChannelNamespaceCommand, } from "./commands/DeleteChannelNamespaceCommand";
import { DeleteDataSourceCommand, } from "./commands/DeleteDataSourceCommand";
import { DeleteDomainNameCommand, } from "./commands/DeleteDomainNameCommand";
import { DeleteFunctionCommand, } from "./commands/DeleteFunctionCommand";
import { DeleteGraphqlApiCommand, } from "./commands/DeleteGraphqlApiCommand";
import { DeleteResolverCommand, } from "./commands/DeleteResolverCommand";
import { DeleteTypeCommand } from "./commands/DeleteTypeCommand";
import { DisassociateApiCommand, } from "./commands/DisassociateApiCommand";
import { DisassociateMergedGraphqlApiCommand, } from "./commands/DisassociateMergedGraphqlApiCommand";
import { DisassociateSourceGraphqlApiCommand, } from "./commands/DisassociateSourceGraphqlApiCommand";
import { EvaluateCodeCommand, } from "./commands/EvaluateCodeCommand";
import { EvaluateMappingTemplateCommand, } from "./commands/EvaluateMappingTemplateCommand";
import { FlushApiCacheCommand, } from "./commands/FlushApiCacheCommand";
import { GetApiAssociationCommand, } from "./commands/GetApiAssociationCommand";
import { GetApiCacheCommand } from "./commands/GetApiCacheCommand";
import { GetApiCommand } from "./commands/GetApiCommand";
import { GetChannelNamespaceCommand, } from "./commands/GetChannelNamespaceCommand";
import { GetDataSourceCommand, } from "./commands/GetDataSourceCommand";
import { GetDataSourceIntrospectionCommand, } from "./commands/GetDataSourceIntrospectionCommand";
import { GetDomainNameCommand, } from "./commands/GetDomainNameCommand";
import { GetFunctionCommand } from "./commands/GetFunctionCommand";
import { GetGraphqlApiCommand, } from "./commands/GetGraphqlApiCommand";
import { GetGraphqlApiEnvironmentVariablesCommand, } from "./commands/GetGraphqlApiEnvironmentVariablesCommand";
import { GetIntrospectionSchemaCommand, } from "./commands/GetIntrospectionSchemaCommand";
import { GetResolverCommand } from "./commands/GetResolverCommand";
import { GetSchemaCreationStatusCommand, } from "./commands/GetSchemaCreationStatusCommand";
import { GetSourceApiAssociationCommand, } from "./commands/GetSourceApiAssociationCommand";
import { GetTypeCommand } from "./commands/GetTypeCommand";
import { ListApiKeysCommand } from "./commands/ListApiKeysCommand";
import { ListApisCommand } from "./commands/ListApisCommand";
import { ListChannelNamespacesCommand, } from "./commands/ListChannelNamespacesCommand";
import { ListDataSourcesCommand, } from "./commands/ListDataSourcesCommand";
import { ListDomainNamesCommand, } from "./commands/ListDomainNamesCommand";
import { ListFunctionsCommand, } from "./commands/ListFunctionsCommand";
import { ListGraphqlApisCommand, } from "./commands/ListGraphqlApisCommand";
import { ListResolversByFunctionCommand, } from "./commands/ListResolversByFunctionCommand";
import { ListResolversCommand, } from "./commands/ListResolversCommand";
import { ListSourceApiAssociationsCommand, } from "./commands/ListSourceApiAssociationsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTypesByAssociationCommand, } from "./commands/ListTypesByAssociationCommand";
import { ListTypesCommand } from "./commands/ListTypesCommand";
import { PutGraphqlApiEnvironmentVariablesCommand, } from "./commands/PutGraphqlApiEnvironmentVariablesCommand";
import { StartDataSourceIntrospectionCommand, } from "./commands/StartDataSourceIntrospectionCommand";
import { StartSchemaCreationCommand, } from "./commands/StartSchemaCreationCommand";
import { StartSchemaMergeCommand, } from "./commands/StartSchemaMergeCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateApiCacheCommand, } from "./commands/UpdateApiCacheCommand";
import { UpdateApiCommand } from "./commands/UpdateApiCommand";
import { UpdateApiKeyCommand, } from "./commands/UpdateApiKeyCommand";
import { UpdateChannelNamespaceCommand, } from "./commands/UpdateChannelNamespaceCommand";
import { UpdateDataSourceCommand, } from "./commands/UpdateDataSourceCommand";
import { UpdateDomainNameCommand, } from "./commands/UpdateDomainNameCommand";
import { UpdateFunctionCommand, } from "./commands/UpdateFunctionCommand";
import { UpdateGraphqlApiCommand, } from "./commands/UpdateGraphqlApiCommand";
import { UpdateResolverCommand, } from "./commands/UpdateResolverCommand";
import { UpdateSourceApiAssociationCommand, } from "./commands/UpdateSourceApiAssociationCommand";
import { UpdateTypeCommand } from "./commands/UpdateTypeCommand";
const commands = {
    AssociateApiCommand,
    AssociateMergedGraphqlApiCommand,
    AssociateSourceGraphqlApiCommand,
    CreateApiCommand,
    CreateApiCacheCommand,
    CreateApiKeyCommand,
    CreateChannelNamespaceCommand,
    CreateDataSourceCommand,
    CreateDomainNameCommand,
    CreateFunctionCommand,
    CreateGraphqlApiCommand,
    CreateResolverCommand,
    CreateTypeCommand,
    DeleteApiCommand,
    DeleteApiCacheCommand,
    DeleteApiKeyCommand,
    DeleteChannelNamespaceCommand,
    DeleteDataSourceCommand,
    DeleteDomainNameCommand,
    DeleteFunctionCommand,
    DeleteGraphqlApiCommand,
    DeleteResolverCommand,
    DeleteTypeCommand,
    DisassociateApiCommand,
    DisassociateMergedGraphqlApiCommand,
    DisassociateSourceGraphqlApiCommand,
    EvaluateCodeCommand,
    EvaluateMappingTemplateCommand,
    FlushApiCacheCommand,
    GetApiCommand,
    GetApiAssociationCommand,
    GetApiCacheCommand,
    GetChannelNamespaceCommand,
    GetDataSourceCommand,
    GetDataSourceIntrospectionCommand,
    GetDomainNameCommand,
    GetFunctionCommand,
    GetGraphqlApiCommand,
    GetGraphqlApiEnvironmentVariablesCommand,
    GetIntrospectionSchemaCommand,
    GetResolverCommand,
    GetSchemaCreationStatusCommand,
    GetSourceApiAssociationCommand,
    GetTypeCommand,
    ListApiKeysCommand,
    ListApisCommand,
    ListChannelNamespacesCommand,
    ListDataSourcesCommand,
    ListDomainNamesCommand,
    ListFunctionsCommand,
    ListGraphqlApisCommand,
    ListResolversCommand,
    ListResolversByFunctionCommand,
    ListSourceApiAssociationsCommand,
    ListTagsForResourceCommand,
    ListTypesCommand,
    ListTypesByAssociationCommand,
    PutGraphqlApiEnvironmentVariablesCommand,
    StartDataSourceIntrospectionCommand,
    StartSchemaCreationCommand,
    StartSchemaMergeCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateApiCommand,
    UpdateApiCacheCommand,
    UpdateApiKeyCommand,
    UpdateChannelNamespaceCommand,
    UpdateDataSourceCommand,
    UpdateDomainNameCommand,
    UpdateFunctionCommand,
    UpdateGraphqlApiCommand,
    UpdateResolverCommand,
    UpdateSourceApiAssociationCommand,
    UpdateTypeCommand,
};
export class AppSync extends AppSyncClient {
}
createAggregatedClient(commands, AppSync);
