import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_GetGraphqlApiCommand, se_GetGraphqlApiCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetGraphqlApiCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSDeepdishControlPlaneService", "GetGraphqlApi", {})
    .n("AppSyncClient", "GetGraphqlApiCommand")
    .f(void 0, void 0)
    .ser(se_GetGraphqlApiCommand)
    .de(de_GetGraphqlApiCommand)
    .build() {
}
