import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
  Provider,
} from "@smithy/types";
import { AppSyncClientResolvedConfig } from "../AppSyncClient";
export interface AppSyncHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface AppSyncHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    AppSyncClientResolvedConfig,
    HandlerExecutionContext,
    AppSyncHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultAppSyncHttpAuthSchemeParametersProvider: (
  config: AppSyncClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<AppSyncHttpAuthSchemeParameters>;
export interface AppSyncHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<AppSyncHttpAuthSchemeParameters> {}
export declare const defaultAppSyncHttpAuthSchemeProvider: AppSyncHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  authSchemePreference?: string[] | Provider<string[]>;
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: AppSyncHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly authSchemePreference: Provider<string[]>;
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: AppSyncHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
