import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { Uint8ArrayBlobAdapter } from "@smithy/util-stream";
import {
  AppSyncClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AppSyncClient";
import {
  GetIntrospectionSchemaRequest,
  GetIntrospectionSchemaResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetIntrospectionSchemaCommandInput
  extends GetIntrospectionSchemaRequest {}
export type GetIntrospectionSchemaCommandOutputType = Pick<
  GetIntrospectionSchemaResponse,
  Exclude<keyof GetIntrospectionSchemaResponse, "schema">
> & {
  schema?: Uint8ArrayBlobAdapter;
};
export interface GetIntrospectionSchemaCommandOutput
  extends GetIntrospectionSchemaCommandOutputType,
    __MetadataBearer {}
declare const GetIntrospectionSchemaCommand_base: {
  new (
    input: GetIntrospectionSchemaCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetIntrospectionSchemaCommandInput,
    GetIntrospectionSchemaCommandOutput,
    AppSyncClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: GetIntrospectionSchemaCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetIntrospectionSchemaCommandInput,
    GetIntrospectionSchemaCommandOutput,
    AppSyncClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetIntrospectionSchemaCommand extends GetIntrospectionSchemaCommand_base {
  protected static __types: {
    api: {
      input: GetIntrospectionSchemaRequest;
      output: GetIntrospectionSchemaResponse;
    };
    sdk: {
      input: GetIntrospectionSchemaCommandInput;
      output: GetIntrospectionSchemaCommandOutput;
    };
  };
}
